<?php 
include('./config/db.php');
///$clienteId=(isset($_GET['clienteId']))?$_GET['clienteId']:"";
///$seleccion=(isset($_GET['seleccion']))?$_GET['seleccion']:"";
///$txtNomUsuario=(isset($_GET['txtNomUsuario']))?$_GET['txtNomUsuario']:"";
$clienteId=(isset($_POST['clienteId']))?$_POST['clienteId']:"";
$seleccion=(isset($_POST['seleccion']))?$_POST['seleccion']:"";
$txtNomUsuario=(isset($_POST['txtNomUsuario']))?$_POST['txtNomUsuario']:"";
$arrayseleccion=[];
$arrayInstalacion=[];
    try{
        $sql=$conexion->prepare("SELECT id, nombre FROM instalacion WHERE clienteId in (:clienteId);");
        $sql->bindParam(":clienteId",$clienteId);
        $sql->execute();
        $listaInstalacion = $sql->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
        $cadena="<select required multiple id='selInstalacion[]' name='selInstalacion[]' class='form-select'>"; //
        if($seleccion > 0){
            $sql=$conexion->prepare("SELECT ida.instalacionId FROM instalaciondetalleacceso ida
            inner join instalacionacceso ia on ia.id=ida.idAcceso
            WHERE ida.clienteId in (:clienteId) AND ia.nombreUsuario in (:usuario);");
            $sql->bindParam(":clienteId",$clienteId);
            $sql->bindParam(":usuario",$txtNomUsuario);
            $sql->execute();
            $listaSeleccion = $sql->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
            foreach($listaSeleccion as $ins){
                array_push($arrayseleccion, $ins['instalacionId']);
            }
        }
        foreach($listaInstalacion as $ins){
            $selected = in_array($ins['id'], $arrayseleccion) ? 'selected' : ''; 
            $cadena=$cadena.'<option '.$selected.' value='.$ins['id'].'>'.$ins['nombre'].'</option>';
        }
        echo  $cadena."</select>";
    }catch (Exception $err) {
        echo ("Ha ocurrido un error en la solicitud. ");  
        throw $err;
    }
?>